Bug 76204 - Flux GL screensaver bugs on some modes
Summary: Flux GL screensaver bugs on some modes
Status: RESOLVED FIXED
Alias: None
Product: kscreensaver
Classification: Unclassified
Component: screensavers (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kscreensaver bugs tracking
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-26 17:03 UTC by Rutger ter Borg
Modified: 2008-05-19 17:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Fix for margin accumulation (1.01 KB, patch)
2007-09-10 06:01 UTC, Mike Mulvanny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rutger ter Borg 2004-02-26 17:03:49 UTC
Version:            (using KDE KDE 3.2.0)
Installed from:    Gentoo Packages
Compiler:          gcc 3.3.2 
OS:          Linux

The Flux GL screensaver is not working correctly in all modes. I'm using a cinerama setup (2560x1024) in combination with a NVidia FX5200 TwinView. All other GL screensavers work fine. 

The bug is that only about 2/3rds (horizontally speaking) of the virtual screen is used for the screensaver, the left and right edges of the screen show double buffering page flipping between the screen saver and the desktop. This behaviour applies to the Hypnotic, Insane, and Paradigm modes.

The Regular, Sparklers, and Galactic modes work properly.
Comment 1 Rutger ter Borg 2004-07-23 12:39:58 UTC
This bug disappeared after I upgraded to nvidia driver version 1.0.6106 (amd64). 

Comment 2 Rutger ter Borg 2004-07-23 12:43:07 UTC
I made a mistake - the bug is still there for the mentioned screen saver modes. KDE 3.2.3, nvidia-1.0.6106 (amd64), 2560x1024.

Comment 3 Rutger ter Borg 2004-12-14 12:52:49 UTC
The bug seems to be quite persistent - it's still there for KDE 3.3.1, nvidia-1.0.6111-r3, 2560x1025

Comment 4 Herbert G. Fischer 2005-10-26 19:35:47 UTC
I'm having some problems too using latest ATI drivers (not tested with another ones) in big-screen mode (2048x1024). The screen shows two bars ([a]) in each horizontal side (left side) like the diagram bellow.

[a][flux][a]

On this bars the output from flux gets accumulated as as gets filled it remains white as flux runs. Looks like some framebuffer bug. The another OpenGL screensavers works correctly.

I'm using Gentoo 2005.1, KDE 3.4, ATI driver 8.18.6 and Xorg 6.8.2
Comment 5 Mike Mulvanny 2007-09-10 06:01:58 UTC
Created attachment 21577 [details]
Fix for margin accumulation

This patch adjusts the polygon used to fade the screen so that it is
appropriately sized to the screen's width and height. Previously it was sized
by applying a fixed ratio to the height of the screen, which was too low for
wide or multiple screens. The fading effect in the Hypnotic, Insane and
Paradigm modes is applied only to the area under this polygon. No fading occurs
outside -- this results in runaway accumulation, which is the bug. The Regular,
Sparklers and Galactic modes work because, in those modes, the buffer is erased
completely between frames, so there is no accumulation.
Comment 6 Lubos Lunak 2007-10-31 16:53:53 UTC
SVN commit 731393 by lunakl:

Handle properly display height/width ratio.
Patch by Mike Mulvanny <mike.mulvanny@gmail.com>
BUG:76204



 M  +8 -4      Flux.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=731393